org.apache.ignite.internal.util.lang

## Class GridAbsClosureX

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridAbsClosure
  - - org.apache.ignite.internal.util.lang.GridAbsClosureX

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

Direct Known Subclasses:
  CAX

    public abstract class GridAbsClosureX
    extends GridAbsClosure

Convenient abs-closure subclass that allows for thrown grid exception. This class implements `apply()` method that calls `applyx()` method and properly wraps `IgniteCheckedException` into `GridClosureException` instance.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridAbsClosureX()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `apply()` Absolute closure body.
`abstract void` `applyx()` Closure body that can throw `IgniteCheckedException`.

### Methods inherited from class org.apache.ignite.internal.util.lang.GridAbsClosure

`run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridAbsClosureX

    public GridAbsClosureX()

### Method Detail

#### apply

    public void apply()

Absolute closure body.

Specified by:
  `apply` in class `GridAbsClosure`

#### applyx

    public abstract void applyx()
                         throws IgniteCheckedException

Closure body that can throw `IgniteCheckedException`.

Throws:
  `IgniteCheckedException` - Thrown in case of any error condition inside of the closure.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022